Subject: slim should restart itself if X is killed

From: Yves-Alexis Perez <[email-masked]>
Date: Sun, 27 May 2007 11:18:19 +0200

Package: slim
Version: 1.2.6-1
Severity: wishlist

When I'm loging out from my session (Xfce, openbox or anything I guess),
slim is correctly restarted so I can login easily. But if I shutdown X
using Ctrl+Alt+Backspace, slim doesn't restart and I'm back to console.

It'd be nice if slim could be restarted at this point, like gdm does.

Regards,

--
Yves-Alexis Perez

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.21-1-powerpc
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages slim depends on:
ii  debconf [debconf-2.0]   1.5.13           Debian configuration management sy
ii  libc6                   2.5-9            GNU C Library: Shared libraries
ii  libfontconfig1          2.4.2-1.2        generic font configuration library
ii  libfreetype6            2.2.1-6          FreeType 2 font engine, shared lib
ii  libgcc1                 1:4.2-20070525-1 GCC support library
ii  libjpeg62               6b-13            The Independent JPEG Group's JPEG 
ii  libpng12-0              1.2.15~beta5-2   PNG library - runtime
ii  libstdc++6              4.2-20070525-1   The GNU Standard C++ Library v3
ii  libx11-6                2:1.0.3-7        X11 client-side library
ii  libxft2                 2.1.12-2         FreeType-based font drawing librar
ii  libxmu6                 1:1.0.3-1        X11 miscellaneous utility library
ii  libxrender1             1:0.9.2-1        X Rendering Extension client libra
ii  zlib1g                  1:1.2.3-15       compression library - runtime

slim recommends no packages.

-- debconf information:
* shared/default-x-display-manager: slim